<style>
  .fltable td{
      vertical-align: top;  
  }

  .v-data-table__empty-wrapper{
    display:none !important;
  }
</style>
<template>
  <v-app>
  <v-data-table
     hide-default-header
    hide-default-footer
    style="padding:25px">

    <template v-slot:top>
      <div>
          <div>
            <v-toolbar style="box-shadow:none !important">
              <v-toolbar-title><b>{{title}}</b></v-toolbar-title>
              <v-spacer></v-spacer>
            </v-toolbar>

            <div style="padding:0px 25px">
                <v-layout row>
                  <v-flex md8>
                      <v-btn rounded style="margin-top:15px;"  
                      v-on:click="sapProcess()" 
                      color="primary"
                      large>
                        <v-icon dark style="margin-right:10px">mdi-check-circle-outline</v-icon>
                        Get Initial From SAP
                      </v-btn>
                  </v-flex>

                </v-layout>
              
              <br>
              <div style="font-size:20px;padding:10px 0px">
                Total Row : <b>{{total_row}}</b>
              </div>
              <div style="padding:30px;background-color:#000;color:#fff;height:400px;max-height:600px;overflow-y:scroll">
                <pre>{{json_sap}}</pre>
              </div>

            </div>
        </div>
      </div>
      
      <v-dialog
        v-model="loading"
        hide-overlay
        persistent
        width="300" 
      >
        <v-card
          color="primary"
          dark
        >
          <v-card-text>
            Loading..
            <v-progress-linear
              indeterminate
              color="white"
              class="mb-0"
            ></v-progress-linear>
          </v-card-text>
        </v-card>
      </v-dialog>
    </template>

  </v-data-table>
  </v-app>
</template>


<script>
export default {
    methods: {
        sapProcess(){
              var self = this;
              var url = this.base_url + 'sap/get';
              self.loading = true;
             this.axios.get(url).then(function (response) {
                  self.json_sap = JSON.stringify(response.data, null, "\t");
                  self.total_row = response.data.length;
                  self.loading = false;

              }) .catch(function (error) {
                  self.result = error;
                  alert('Error Connection Service');
                  self.loading = false;
              });
        }
    },
    mounted(){
        if(this.storage_role !='ADM'){
          this.$router.push('/login');
      }
    },
    data () { 
      return {
        name : "Registration",
        title : "Initial Item SAP",
        dialog: false,
        notifications: false,
        sound: true,
        widgets: false,
        singleSelect: true,
        selected: [],
        showSelect:false,
        loading:false,
        tab: null,
        log:'',
        val:'',
        headers: [],
        desserts: [],
        list_message:[],
        user_request:'',
        request_no : '',
        message : '',
        requester_message:'',
        requester_date:'',
        modal_message:'',
        modal_detail:false,
        detail:[],
        sap_dialog:false,
        json_sap:'',
        total_row:'',

        //storage.....................................
        storage_user_id : atob(localStorage.getItem("user_id")),
        storage_username : atob(localStorage.getItem("username")),
        storage_fullname : atob(localStorage.getItem("fullname")),
        storage_company_id : atob(localStorage.getItem("company_id")),
        storage_company_name : atob(localStorage.getItem("company_name")),
        storage_role : atob(localStorage.getItem("role")),
        storage_departement_id : atob(localStorage.getItem("departement_id")),
        
      }
    },
  }
</script>
